Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.abase
Class ABaseRuntimeModule

    java.lang.Object
      org.eclipse.xtext.service.AbstractGenericModule
          org.eclipse.xtext.service.DefaultRuntimeModule
              org.eclipse.amp.amf.abase.AbstractABaseRuntimeModule
                  org.eclipse.amp.amf.abase.ABaseRuntimeModule

All Implemented Interfaces:
  com.google.inject.Module

    public class ABaseRuntimeModule

extends AbstractABaseRuntimeModule

Use this class to register components to be used within the IDE.

Field Summary

Fields inherited from class org.eclipse.amp.amf.abase.AbstractABaseRuntimeModule
`properties`

Constructor Summary
`ABaseRuntimeModule()`

Method Summary
`java.lang.Class<? extends org.eclipse.xtext.linking.ILinker>` | `bindILinker()`
`java.lang.Class<? extends org.eclipse.xtext.conversion.IValueConverterService>` | `bindIValueConverterService()`

Methods inherited from class org.eclipse.amp.amf.abase.AbstractABaseRuntimeModule
`bindABaseJavaValidator, bindAbstractTypeScopeProvider, bindClassLoaderToInstance, bindIAllContainersState$Provider, bindIAntlrTokenFileProvider, bindIContainer$Manager, bindIFormatter, bindIGenerator, bindIGlobalScopeProvider, bindIGrammarAccess, bindIJvmTypeProvider$Factory, bindIParser, bindIParseTreeConstructor, bindIQualifiedNameProvider, bindIScopeProvider, bindITokenDefProvider, bindITokenToStringConverter, bindLexer, bindTypesFactoryToInstance, configure, configureFileExtensions, configureIgnoreCaseLinking, configureIResourceDescriptions, configureIResourceDescriptionsBuilderScope, configureIScopeProviderDelegate, configureLanguageName, configureRuntimeLexer, provideInternalABaseLexer`

Methods inherited from class org.eclipse.xtext.service.DefaultRuntimeModule
`bindConcreteSyntaxValidator, bindDiagnostician, bindEPackageRegistry, bindEValidatorRegistry, bindIAstFactory, bindIFragmentProvider, bindILinkingService, bindILocationInFileProvider, bindINodeModelFormatter, bindIPartialParserHelper, bindIResourceFactory, bindIResourceServiceProvider$Registry, bindISemanticSequencer, bindISerializer, bindITransientValueService, bindResourceSet, bindXtextResource, bindXtextResourceSet, configureGenericSemanticSequencer, configureIResourceDescriptionsLiveScope, configureLinkingIScopeProvider, configureRuntimeEncodingProvider, provideIEncodingProvider`

Methods inherited from class org.eclipse.xtext.service.AbstractGenericModule
`bindProperties, getBindings, tryBindProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ABaseRuntimeModule

    public ABaseRuntimeModule()

Method Detail

### bindIValueConverterService

    public java.lang.Class<? extends org.eclipse.xtext.conversion.IValueConverterService> bindIValueConverterService()

  Overrides:
    `bindIValueConverterService` in class `org.eclipse.xtext.service.DefaultRuntimeModule`
  Returns:
  See Also:
    `DefaultRuntimeModule.bindIValueConverterService()`

### bindILinker

    public java.lang.Class<? extends org.eclipse.xtext.linking.ILinker> bindILinker()

  Overrides:
    `bindILinker` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD